## Close Dispute

### cURL

```
curl --request POST \
  --url https://api.withflex.com/v1/disputes/{dispute_id}/close \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/disputes/{dispute_id}/close"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/disputes/{dispute_id}/close', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/disputes/{dispute_id}/close",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/disputes/{dispute_id}/close"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/disputes/{dispute_id}/close")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/disputes/{dispute_id}/close")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Responses

Status Codes:
- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example JSON Response

```json
{
  "dispute": {
    "dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "amount": 2500,
    "currency": "usd",
    "charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z",
    "status": "lost",
    "reason": "bank_cannot_process",
    "is_charge_refundable": false,
    "evidence": {},
    "evidence_details": {},
    "payment_method_details": {},
    "test_mode": false,
    "client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
```

### Error Response Example

```json
{
  "code": "string",
  "detail": "string"
}
```
